
-- by modelleicher
--

InfoPanelTwo = {};

function InfoPanelTwo.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function InfoPanelTwo:load(xmlFile)


	--  Info Hud --
	self.InfoPanelPosX = 0.815;
    self.InfoPanelWidth = 0.20;
    self.InfoPanelPosY = 0.15;
    self.InfoPanelHeight = 0.20;

	self.InfoPanelTwoInfoPath = Utils.getFilename("Texture/InfoPanelTwo.png", self.baseDirectory);
	self.InfoPanelOverlay = Overlay:new("InfoPanelOverlay", self.InfoPanelTwoInfoPath, self.InfoPanelPosX, self.InfoPanelPosY, self.InfoPanelWidth, self.InfoPanelHeight);

	self.showInfoPanel = true;


end;

function InfoPanelTwo:delete()

     	--  Info Hud --
    if self.InfoPanelOverlay ~= nil then
		self.InfoPanelOverlay:delete();
	end;

end;

function InfoPanelTwo:mouseEvent(posX, posY, isDown, isUp, button)
end;

function InfoPanelTwo:keyEvent(unicode, sym, modifier, isDown)
end;

function InfoPanelTwo:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    

		if InputBinding.hasEvent(InputBinding.InfoPanelTwo) then
		    self.showInfoPanel = not self.showInfoPanel;
		end;
		


   		

	end;			 

end;

function InfoPanelTwo:draw()


  	if self.showInfoPanel and self.isEntered then
		self.InfoPanelOverlay:render();
	end;

end;

